#include "18f452.h"
#device adc = 10
#use delay(clock = 20000000)
#FUSES HS
#INT_TIMER2

int16 value;
int16 VADC;

void TIMER2_isr(void)
{
  value = read_adc();
  VADC = 0.048875*read_adc();
  output_bit(pin_c2,VADC);
}  

void main()
{

   setup_adc_ports(AN0);
   setup_adc(ADC_CLOCK_DIV_2);
   setup_psp(PSP_DISABLED);
   setup_spi(SPI_SS_DISABLED);
   setup_wdt(WDT_OFF);
   setup_timer_0(RTCC_INTERNAL);
   setup_timer_1(T1_DISABLED);
   setup_timer_2(T2_DIV_BY_16,255,1);
   setup_ccp1(CCP_PWM);
   set_pwm1_duty(1023);
//Setup_Oscillator parameter not selected from Intr Oscillator Config tab

   // TODO: USER CODE!!
   set_tris_a(0xff);
   set_tris_c(0x00);
   
   while(true){
    enable_interrupts(INT_TIMER2);
    enable_interrupts(GLOBAL);
    delay_ms(10);
   }

}
